API referenceWhatsApp
POST /whatsapp/conversions
Send a conversion event for a Click-to-WhatsApp conversation (email and externalId hashed)
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringWhatsApp account id
eventName*stringeventId*stringeventTime?integerconversationId?stringphoneE164?stringctwaClid?stringvalue?numbercurrency?stringcontentIds?array<string>email?stringexternalId?stringtestCode?string{platform, eventsReceived, eventsFailed, failures, traceId}
application/json- response
platform?stringeventsReceived?integereventsFailed?integerfailures?array<>traceId?string|nullcurl -X POST 'https://example.com/api/v1/whatsapp/conversions' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "eventName": "string", "eventId": "string"}'Example Response
{ "platform": "string", "eventsReceived": 0, "eventsFailed": 0, "failures": [ {} ], "traceId": "string"}